Skip to content

Update File Tier 4

PATCH/api/files/:idCopied!

Updates a file.

Example

ts
await client.files.update("FX1234567890ABCD", {
  name: "launch-final.mp4",
  description: "Final version",
  allowRestricted: false,
});
bash
youvico file update --id FX1234567890ABCD --name="launch-final.mp4" --description="Final version"
bash
curl -X PATCH 'https://api.youvico.com/api/files/FX1234567890ABCD' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{ "name": "launch-final.mp4", "description": "Final version", "allowRestricted": false }'

Request

Path

idstringrequired
File ID

Body

namestring

1–255 characters

File name
descriptionstring?

1–255 characters

File description
allowRestrictedboolean
Whether restricted reviewers can access the file

Response

Returns 204 No Content.